Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< TService, TCoreObject > Class Template Referenceabstract
Inheritance diagram for Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< TService, TCoreObject >:

## Public Member Functions
virtual void | Start ()
| Starts the service. This method must be called first to get the LoginScope (Login). More...
virtual void | Stop ()
| Stops the service. This method must be called before destroying the ServiceProxyBase. This method is also called in the destructor. More...
ProgramInformation | GetProgramInformation ()
| Returns ProgramInformation of the LogiKal installation. Does not require login. More...
IDialogResult< TCoreObject > | Login (string programMode, IntPtr uiHandle, TimeSpan synchronizeInterval=default(TimeSpan))
| Login to the API to get access to projects, elvations etc. . Without login no access to the API is available. Attention: Before a login is possible, the service must be started (Start). More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Disposable
void | Dispose ()

## Protected Member Functions
| ServiceProxyBase (string installationPath, string arguments="")
string | GetRuntimePath ()
abstract string | GetServicePath ()
abstract TCoreObject | GetLoginScope (IServiceFactory< TService > serviceFactory, Guid coreObjectId, TimeSpan synchronizeInterval)
virtual IServiceFactory< TService > | GetServiceFactory (TimeSpan processTimeout)
override void | Dispose (bool disposing)

## Protected Attributes
string | InstallationPath => _serviceRuntimeLocator.InstallationPath

## Properties
string | Arguments`[get]`
string | RuntimePath`[get, set]`
TimeSpan | StartTimeout`[get, set]`
| Defines the timeout for the start operation as TimeSpan. More...
TimeSpan | WorkingTimeout = new TimeSpan(00, 01, 00)`[get, set]`
| Defines the timeout for working operation as TimeSpan. More...

## Additional Inherited Members
Events inherited from Ofcas.Lk.Api.Client.Core.Disposable
Action< Disposable > | Disposed

## Member Function Documentation

## ◆ GetProgramInformation()

ProgramInformation Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< TService, TCoreObject >.GetProgramInformation | ( |  | ) |

Returns ProgramInformation of the LogiKal installation. Does not require login.

## ◆ Login()

IDialogResult<TCoreObject> Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< TService, TCoreObject >.Login | ( | string | programMode,
|  | IntPtr | uiHandle,
|  | TimeSpan | synchronizeInterval = `default(TimeSpan)`
| ) |  |

Login to the API to get access to projects, elvations etc. . Without login no access to the API is available. Attention: Before a login is possible, the service must be started (Start).

Parameters

  programMode | The program mode provided from Orgadata for the associated partner
  uiHandle | The handle from a window of the user application
  synchronizeInterval | The interval to synchronize the core objects in multi-client mode. If the value is TimeSpan.Zero no synchronization will be active.

Returns
  The a dialog result with the specific TCoreObject to interact with LogiKal.

Exceptions

  ArgumentException | Occurs if any arugment is invalid.
  ApiException | Occurs if any error occurs.

## ◆ Start()

virtual void Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< TService, TCoreObject >.Start | ( |  | ) |
| virtual

Starts the service. This method must be called first to get the LoginScope (Login).

## ◆ Stop()

virtual void Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< TService, TCoreObject >.Stop | ( |  | ) |
| virtual

Stops the service. This method must be called before destroying the ServiceProxyBase. This method is also called in the destructor.

## Property Documentation

## ◆ StartTimeout

TimeSpan Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< TService, TCoreObject >.StartTimeout
| get set

Defines the timeout for the start operation as TimeSpan.

## ◆ WorkingTimeout

TimeSpan Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< TService, TCoreObject >.WorkingTimeout = new TimeSpan(00, 01, 00)
| get set

Defines the timeout for working operation as TimeSpan.

The documentation for this class was generated from the following file:

- ServiceProxyBase.cs